Can't get deluge to install...

    • OMV 1.0
    • Resolved
    • Can't get deluge to install...

      Been trying to get Deluge built/compiled/installed... I've followed multiple tutorials and installed everything that each one mentions for dependencies. I'm currently trying one last thing but I don't have high hopes.

      I get errors when doing
      ./enable configure --enable-python-binding
      and
      Make V=1

      "Python setup.py build" results in;
      Command 'GCC' failed with exit status 1
    • I run Deluge daemon, built from source.
      From the tarball root is just:
      python setup.py build
      And then
      python setup.py install

      You'll need to manually place your debian init script.
      New wiki
      chat support at #openmediavault@freenode IRC | Spanish & English | GMT+10
      telegram.me/openmediavault broadcast channel
      openmediavault discord server

      The post was edited 2 times, last by subzero79 ().

    • Im not sure what I did to fix it but I got deluged and deluge-web to work. Only issue I am having now is making it start with the computer. Im messing with that now...

      Holy shit this is driving me insane. In no way shape or form should I have spent 5+ hours trying to get deluge to work. Insane.

      Obviously its still not working. I could manually start the daemon but attempting to get the script working gave me errors. I dont know what the hell is going on anymore. My folder/smb permissions appear to be all messed up miraculously as guest permissions will not work.

      Jesus.

      BTW, with this command: apt-get install -t precise deluge-common deluged deluge-web deluge-console

      The '-t precise' part gave me errors. I had to remove it (dont remember the exact error).
      The error I was getting with the script said something was missing. Im going to try it all again and see what happens.

      Can anyone tell me exactly what I need to do to get deluge working? Assume I have absolutely nothing but a fresh install of OMV... because I actually reinstalled fresh in case something somewhere was preventing it from functioning. Dependencies required, etc. Im about to pull my hair out.
    • Yes I think is fine. I would omit the rasterbar library building. Just install the rasterbar from wheezy from the repository.
      The when you build Deluge the binaries will go to to /usr/bin or /usr/local/bin depending on the Deluge build configuration . you can peek that with the which deluged command. so look at the init script and make sure the binaries are properly pointed.
      You can test deluged and Deluge Web by just running the binaries in cli to check if they work
      New wiki
      chat support at #openmediavault@freenode IRC | Spanish & English | GMT+10
      telegram.me/openmediavault broadcast channel
      openmediavault discord server
    • I ran the command (which I assume checks the script from the link I posted) "invoke-rc.d deluge-daemon start" and get this:

      root@znas:~/deluge-1.3.5# invoke-rc.d deluge-daemon start
      /etc/init.d/deluge-daemon: 16: /etc/init.d/deluge-daemon: Daemon”: not found
      /etc/init.d/deluge-daemon: 20: /etc/init.d/deluge-daemon: -l: not found
      /etc/init.d/deluge-daemon: 22: /etc/init.d/deluge-daemon: 8112: not found
      /etc/init.d/deluge-daemon: 138: /etc/init.d/deluge-daemon: stop: not found
      /etc/init.d/deluge-daemon: 138: /etc/init.d/deluge-daemon: restart: not found
      /etc/init.d/deluge-daemon: 138: /etc/init.d/deluge-daemon: force-reload}”: not found
      invoke-rc.d: initscript deluge-daemon, action "start" failed.


      Thoughts?
    • To me it looks like the init.d script is malformed, what do you get when you do just /etc/init.d/deluge-daemon
      Can you post the output of cat /etc/init.d/deluge-daemon

      Is there anything in either of the log files, /var/log/deluged.log or /var/log/deluge-web.log
      [IMG:http://widgets.trakt.tv/users/1f5d0f5ed67f98ed9d06d9849b42dd0e/watched/banner@1x.jpg]
      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • No such file or directory for the logs.

      /etc/init.d/deluge-daemon

      Source Code

      1. ​#!/bin/sh
      2. ### BEGIN INIT INFO
      3. # Provides: deluge-daemon Required-Start: $local_fs $remote_fs Required-Stop: $local_fs $remote_fs Should-Start: $network
      4. # Should-Stop: $network Default-Start: 2 3 4 5 Default-Stop: 0 1 6 Short-Description: Daemonized version of deluge and
      5. # webui. Description: Starts the deluge daemon with the user specified in
      6. # /etc/default/deluge-daemon.
      7. ### END INIT INFO
      8. # Author: Adolfo R. Brandes Modified: Sami Olmari
      9. PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin DESC="Deluge Daemon" NAME1="deluged" NAME2="deluge-web"
      10. DAEMON1=/usr/local/bin/deluged DAEMON1_ARGS="-d -l /var/log/deluged.log -L warning" DAEMON2=/usr/local/bin/deluge-web
      11. DAEMON2_ARGS="-p 8112 -l /var/log/deluge-web.log -L warning" PIDFILE1=/var/run/$NAME1.pid PIDFILE2=/var/run/$NAME2.pid
      12. PKGNAME=deluge-daemon SCRIPTNAME=/etc/init.d/$PKGNAME
      13. # Exit if the package is not installed
      14. [ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0
      15. # Read configuration variable file if it is present
      16. [ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME
      17. # Load the VERBOSE setting and other rcS variables
      18. [ -f /etc/default/rcS ] && . /etc/default/rcS
      19. # Define LSB log_* functions. Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
      20. . /lib/lsb/init-functions if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ] then
      21. log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
      22. exit 0 fi if [ -z "$DELUGED_USER" ] then
      23. log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
      24. exit 0 fi
      25. #
      26. # Function that starts the daemon/service
      27. #
      28. do_start() {
      29. # Return
      30. # 0 if daemon has been started 1 if daemon was already running 2 if daemon could not be started
      31. start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1 \
      32. --chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
      33. RETVAL1="$?"
      34. start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2 \
      35. --chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
      36. RETVAL2="$?"
      37. [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1
      38. start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1 \
      39. --chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON1_ARGS
      40. RETVAL1="$?"
      41. sleep 2
      42. start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2 \
      43. --chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON2_ARGS
      44. RETVAL2="$?"
      45. [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
      46. }
      47. #
      48. # Function that stops the daemon/service
      49. #
      50. do_stop() {
      51. # Return
      52. # 0 if daemon has been stopped 1 if daemon was already stopped 2 if daemon could not be stopped other if a failure
      53. # occurred
      54. start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
      55. RETVAL2="$?"
      56. start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
      57. RETVAL1="$?"
      58. [ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2
      59. rm -f $PIDFILE1 $PIDFILE2
      60. [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
      61. }
      62. case "$1" in
      63. start)
      64. [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
      65. do_start
      66. case "$?" in
      67. 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      68. 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
      69. esac
      70. ;;
      71. stop)
      72. [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
      73. do_stop
      74. case "$?" in
      75. 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      76. 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
      77. esac
      78. ;;
      79. restart|force-reload)
      80. log_daemon_msg "Restarting $DESC" "$NAME1"
      81. do_stop
      82. case "$?" in
      83. 0|1)
      84. do_start
      85. case "$?" in
      86. 0) log_end_msg 0 ;;
      87. 1) log_end_msg 1 ;; # Old process is still running
      88. *) log_end_msg 1 ;; # Failed to start
      89. esac
      90. ;;
      91. *)
      92. # Failed to stop
      93. log_end_msg 1
      94. ;;
      95. esac
      96. ;;
      97. *)
      98. echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
      99. exit 3
      100. ;; esac
      101. :
      Display All
    • I get this when I try to manually start deluge-web:

      Source Code

      1. File "/usr/bin/deluge-web", line 8, in <module>
      2. load_entry_point('deluge==1.3.5', 'console_scripts', 'deluge-web')()
      3. File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.5-py2.7.egg/deluge/ui/web/web.py", line 138, in start
      4. web.start()
      5. File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.5-py2.7.egg/deluge/ui/web/web.py", line 125, in start
      6. self.server.start()
      7. File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.5-py2.7.egg/deluge/ui/web/server.py", line 665, in start
      8. self.start_normal()
      9. File "/usr/local/lib/python2.7/dist-packages/deluge-1.3.5-py2.7.egg/deluge/ui/web/server.py", line 673, in start_normal
      10. self.socket = reactor.listenTCP(self.port, self.site)
      11. File "/usr/lib/python2.7/dist-packages/twisted/internet/posixbase.py", line 436, in listenTCP
      12. p.startListening()
      13. File "/usr/lib/python2.7/dist-packages/twisted/internet/tcp.py", line 641, in startListening
      14. raise CannotListenError, (self.interface, self.port, le)
      15. twisted.internet.error.CannotListenError: Couldn't listen on any:8112: [Errno 98] Address already in use.
      Display All